* Sun Oct 09 2011 John Evans <john.g.evans.ne@gmail.com> -r3793
- Added def_var_fill and inq_format functions.

* Wed Jul 27 2011 John Evans <john.g.evans.ne@gmail.com> -r3626
- Removed commented-out stanzas for short-circuiting classic/tmw switching

* Thu Jul 07 2011 John Evans <john.g.evans.ne@gmail.com> -r3607
- Added check for presence of mex-file
- Removed echo of a test catch me.

* Mon May 17 2011 John Evans <john.g.evans.ne@gmail.com> -r3532
- Fixed some tests that were leaving file handles open.
- No longer allowing for choice of backend.  It's all determined by
-     the MATLAB version.

* Sun Dec 19 2010 John Evans <john.g.evans.ne@gmail.com> -r3438
- Fixed netcdf4 create mode negative test on R2008a.

* Thu Dec 16 2010 John Evans <john.g.evans.ne@gmail.com> -r3417
- Updated mexnc for R2010b.
- Fixed a few cases of "netcdf.inqVarId" to "netcdf.inqVarID"
- Fixed error in "test_create" for netcdf4 modes in 2009b

* Sun Nov 28 2010 John Evans <john.g.evans.ne@gmail.com> -r3361
- Checking format status before proceeding with some netcdf-4 ops.

* Mon Aug 23 2010 John Evans <john.g.evans.ne@gmail.com> -r3211
- Cleanup up some netcdf-2 test routines.

* Thu Aug 19 2010 John Evans <john.g.evans.ne@gmail.com> -r3206
- Fixed empty set for dimids error in old VARDEF code.

* Thu May 03 2010 John Evans <john.g.evans.ne@gmail.com> 
- Fixed lower case / upper case issue. 

* Tue Mar 23 2010 John Evans <john.g.evans.ne@gmail.com> -r2950
- Fixing readability issues, mlint issues in mexnc_tmw.

* Sun Mar 15 2010 John Evans <john.g.evans.ne@gmail.com> -r2939
- Fixing readability issues, mlint issues in mexnc_tmw.

* Sun Mar 15 2010 John Evans <john.g.evans.ne@gmail.com>  
- Fixing readability issues, mlint issues in mexnc_tmw.

* Wed Feb 10 2010 John Evans <john.g.evans.ne@gmail.com>  -r2868
- Assured that 1D variables are returned as rows by VARGET

* Wed Feb 10 2010 John Evans <john.g.evans.ne@gmail.com>  
- Fixed mlint issues in test_vargetg
- Added test for writing with negative counts in test_varput.m
- More fixes for negative counts in netcdf-2 writing functions.

* Thu Jan 28 2010 John Evans <john.g.evans.ne@gmail.com>  
- Hopefully fixed VARGET case for 1D vectors.

* Wed Jan 27 2010 John Evans <john.g.evans.ne@gmail.com>  
- Added support for DIMINQ char argument for TMW case.
- Fixed VARGET case where count argument is negative
- Fixed VARGETG case where count argument is negative

* Sat Jan 16 2010 John Evans <john.g.evans.ne@gmail.com>  -r2838
- Some additional cleanup to get all working sans mexnc's mex-file

* Fri Jan 15 2010 John Evans <john.g.evans.ne@gmail.com>  -r2833
- Upgraded capabilites to netcdf-4 classic mode

* Fri Jan 08 2010 John Evans <john.g.evans.ne@gmail.com> -r2820 
- Reinstated transposing of 1D vectors on output for netcdf-2

* Thu Jan 07 2010 John Evans <john.g.evans.ne@gmail.com> -r2818 
- Fixed test suite "test_create" case of unhandled matlab exception
- 1D variables retrieved via 'varget' operation shouldn't be transposed

* Wed Dec 23 2009 John Evans <john.g.evans.ne@gmail.com>  
- Added bat file for R14sp1

* Tue Sep 01 2009 John Evans <john.g.evans.ne@gmail.com>  -2790
- Needed to make sure that autoscale flag was peeled off of varget1 input
- arguments.

* Sun Aug 16 2009 John Evans <john.g.evans.ne@gmail.com>  -2787
- Added 'NC_UNLIMITED' char case to tmw def_dim handler. 

* Sat Jul 25 2009 John Evans <john.g.evans.ne@gmail.com>  -2779
- Recorded r2008b opendap options for maci
- Fixed a doc bug for opendap

* Mon Jul 13 2009 John Evans <john.g.evans.ne@gmail.com>  -2776
- Fixed bug for varget/varput column vector indices.

* Wed Jul 08 2009 John Evans <john.g.evans.ne@gmail.com>  -2774
- Fixed bug for varget1/varput1 on singletons on tmw interface.
- Fixed varget bug where autoscale accidentally being passed as stride in tmw
- interface.
- Forcing varget retrieval to be either 'double', or 'char'
- Fixed ATTPUT/ATTGET bug for 'global' identifier in tmw layer

* Tue Jun 23 2009 John Evans <john.g.evans.ne@gmail.com>  -2744
- Deleted unused test file.

* Fri Jun 19 2009 John Evans <john.g.evans.ne@gmail.com>  -2743
- Fixed situation where negative VARGET test case was causing an exception
- to not be properly caught.  Fixed mlint issues in private/mexnc_tmw.m

* Thu Jun 18 2009 John Evans <john.g.evans.ne@gmail.com>  -2741
- Added check in VARDEF code that if the user specified ndims = 0, then
- the number of dimensions is zero, even if the user also rather 
- stupidly gave a list of dimension IDs.  Needed this for backwards
- compatibility.

* Tue Jun 16 2009 John Evans <john.g.evans.ne@gmail.com>  -r2733
- Old behaviour was such that the netcdf-2 functions accepted only double
- or char, and returned only double or char.  This got broken somewhere, 
- and so VARPUT, VARPUT1, and VARPUTG were accepting any datatype.
- R2008b update.

* Mon May 25 2009 John Evans <john.g.evans.ne@gmail.com>  -r2716
- README issue cleared up for win32 on R2008a or below.

* Thu May 21 2009 John Evans <john.g.evans.ne@gmail.com>  -r2713
- Fixed bug where VARID wasn't allowed to be char in old mexcdf2 code

* Fri May 15 2009 John Evans <john.g.evans.ne@gmail.com>  -r2702
- Added test for old netcdf-2 'PARAMETER'

* Thu Apr 28 2009 John Evans <john.g.evans.ne@gmail.com> 
- More 2008b-specific stuff put into private/mexnc_tmw.m

* Tue Apr 28 2009 John Evans <john.g.evans.ne@gmail.com> 
- Pulled R2008b-specific stuff out of mexnc into private m-file.

* Fri Mar 19 2009 John Evans <john.g.evans.ne@gmail.com> - 2.9.10
- Appear to have not done 2.9.7-9,  correctly jumping to 2.9.10

* Fri Mar 19 2009 John Evans <john.g.evans.ne@gmail.com> - 2.9.7
- Added mexopts.sh file for R2009a
- Added the USE_TMW preference back in for R2008b and greater for use with
- opendap.

* Tue Feb 10 2009 John Evans <john.g.evans.ne@gmail.com> - 2.9.6
- Added regression test for using put_att_text in data mode.

* Thu Feb 06 2009 John Evans <john.g.evans.ne@gmail.com> 
- Fixed unhandled NC_ENOTINDEFINE error handling for R2008b

* Thu Jan 08 2009 John Evans <john.g.evans.ne@gmail.com> 
- Added path setup instructions to the README.
- Added what-should-be-unnecessary compile instructions to the README.

* Wed Dec 24 2008 John Evans <john.g.evans.ne@gmail.com> - 2.9.5
- Added handle_inq_libvers function.
- Using function handles to simplify switchyards.
- No longer using try/catch when trying to figure out if the mex-file
-     is nc4-capable.

* Sat Nov 29 2008 John Evans <john.g.evans.ne@gmail.com> - 2.9.4
- Removed USE_TMW preference, too confusing. 

* Mon Nov 02 2008 John Evans <john.g.evans.ne@gmail.com> 
- Updated for R2008b and TMW support
- netcdf-2 stuf put back in

* Fri May 9 2008 John Evans <john.g.evans.ne@gmail.com> 
- All remaining netcdf-2 stuff has been removed!!!

* Wed Apr 30 2008 John Evans <john.g.evans.ne@gmail.com> 
- Funneled VARGET1, VARGET, and VARGETG through netcdf-3

* Fri Apr 25 2008 John Evans <john.g.evans.ne@gmail.com> 
- Funneled ATTCOPY, ATTINQ, ATTNAME, ATTRENAME, SETFILL, TYPELEN, ERR 
- through netcdf-3
- Removed VARCOPY, since it never really worked.

* Thu Apr 24 2008 John Evans <john.g.evans.ne@gmail.com> 
- Funneled ENDEF, VARDEF, VARINQ, VARRENAME  through netcdf-3
- Removed RECGET, RECPUT, and RECINQ functionality.  Who needs it?

* Wed Apr 23 2008 John Evans <john.g.evans.ne@gmail.com> 
- Funneled ATTDEL, DIMDEF, DIMID, DIMINQ, DIMRENAME, INQUIRE, VARID 
- through netcdf-3.

* Sat Apr 19 2008 John Evans <john.g.evans.ne@gmail.com> 2.0.31
- Reorganized the directories.  Added src and private.
- mex-file is now private.

* Sat Dec 22 2007 John Evans <john.g.evans.ne@gmail.com> 2.0.30
- Added win64 platform

* Fri Aug 17 2007 John Evans <john.g.evans.ne@gmail.com> 2.0.29
- Moved all the windows *.bat and make_mexnc files into win32.

* Thu Aug 16 2007 John Evans <john.g.evans.ne@gmail.com>  
- Removed some windows files that aren't needed anymore.
- Added R2007a files for creating windows mex-file.
- Added R14sp3 files for creating windows mex-file.

* Wed Aug 15 2007 John Evans <john.g.evans.ne@gmail.com>  
- Added msvc71_R2006b.bat and win32_R2006b_make_mexnc.m

* Tue Aug 14 2007 John Evans <john.g.evans.ne@gmail.com>  
- Added msvc71_R2006a.bat and win32_R2006a_make_mexnc.m

* Tue Aug 14 2007 John Evans <john.g.evans.ne@gmail.com>  2.0.28
- Updated release constants for 2.0.28

* Tue Aug 14 2007 John Evans <john.g.evans.ne@gmail.com>  
- Added msvc71_R2006b.bat and win32_R2006b_make_mexnc.m

* Fri Aug 10 2007 John Evans <john.g.evans.ne@gmail.com>  
- Created pass-thru for mexCreateDoubleScalar to get a clean compile on R12.
- Added win32_R12_vs70_make_mexnc.m and msvc70_R12.bat for windows R12.
- Updated INSTALL instructions for windows.

* Fri Jul 20 2007 John Evans <john.g.evans.ne@gmail.com>  2.0.27
- GET_ATT_X still wasn't fixed.
- Added another test point for GET_ATT_X with differing datatypes.
- Cleaned up test_attput.m
- Updated README and INSTALL a bit.

* Wed Jul 18 2007 John Evans <john.g.evans.ne@gmail.com> 
- Fixed bad implementation of NC_PUT_ATT_X functions.
- Added datatype safeguard in VARPUT, VARPUT1, and VARPUTG

* Thu Mar 02 2007 John Evans <john.g.evans.ne@gmail.com> 
- Added win32_vs8_make_mexnc.m for Visual Studio 8
- Renamed win32_make_mexnc.m to win32_vs7_make_mexnc.m
- Fixed implementation of PUT_VAR1_TEXT.
- Updated README for R2006b windows note.
- Removed single_matrix_input_is_empty function.  Use mxIsEmpty instead.
- Default case in mexgateway changed to throw exception. 
- Cleaned up opname2opcode a bit.

* Wed Mar 21 2007 John Evans <john.g.evans.ne@gmail.com> 2.0.24
- Added win32_vs8_make_mexnc.m for Visual Studio 8
- Renamed win32_make_mexnc.m to win32_vs7_make_mexnc.m
- Fixed implementation of PUT_VAR1_TEXT.

* Thu Mar 02 2007 John Evans <john.g.evans.ne@gmail.com> 
- Updated README for R2006b windows note.
- Removed single_matrix_input_is_empty function.  Use mxIsEmpty instead.
- Default case in mexgateway changed to throw exception. 
- Cleaned up opname2opcode a bit.

* Tue Jan 09 2007 John Evans <john.g.evans.ne@gmail.com> 2.0.23
- Merged all netcdf-3 changes from netcdf-4 branch, mostly docs.

* Sun Dec 31 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.22
- Fixed erroneous description of creating singleton variables.
- Fixed insufficient check of mismatched ndims and dimids.
- Cleaned up test_def_var.m

* Wed Nov 22 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.21
- mxGetData used instead of mxGetPr in places, flushed out on maci

* Thu Nov 02 2006 John Evans <john.g.evans.ne@gmail.com> 
- trunk/tests/README updated to reflect subversion, opendap failures
- tags/* names changed to common convention

* Wed Sep 20 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.20 
- Updated README, INSTALL for easier windows instructions.

* Tue Sep 11 2006 John Evans <john.g.evans.ne@gmail.com> 
- Renamed mexnc.m to mexnc-doc.  No more namespace clashes!

* Thu May 25 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.19
- Backported GET_MEXNC_INFO code from netcdf-4 trunk.

* Tue May 23 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.18
- Got rid of multiple mexopts.R??.sh files.  Simpler installation now.

* Tue May 09 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.17-3
- Fixed out-of-date documentation in INSTALL file.

* Fri May 05 2006 John Evans <john.g.evans.ne@gmail.com> 
- Moved some old functions out of common.c back into netcdf2.c

* Mon Mar 20 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.17-2
- All netCDF files now properly closed in test suite.

* Thu Mar 09 2006 John Evans <john.g.evans.ne@gmail.com> 
- Minor documentation fix to mexnc.m

* Wed Feb 22 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.17-1
- Fixed test suite error.  Only R13 and below would fail the tests.

* Mon Feb 20 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.17
- Fixed bug where singletons weren't being read by GET_VAR calls.
- Code added to adequately test singleton reads by GET_VAR calls.

* Tue Jan 31 2006 John Evans <john.g.evans.ne@gmail.com> 2.0.16
- Fixed 'write' mode to really test write mode in test_nc_open.m.
- Fixed attribute data error in Convert routine (netcdf2.c)
- Fixed 'write' mode parameter issue in netcdf3.c.
- Fixed datatype extraction issue caused by Jan 09 commit in netcdf3.c.

* Wed Jan 11 2006 John Evans <john.g.evans.ne@gmail.com> 
- Added test for 'write' mode to test_open.m
- Added test for 'clobber' mode to test_create.m
- Added test for 'noclobber' mode to test_create.m

* Wed Jan 11 2006 John Evans <john.g.evans.ne@gmail.com> 
- Changed to formal ChangeLog format.

* Mon Jan 09 2006 John Evans <john.g.evans.ne@gmail.com> 
- Cleaned up all problems found by -Wall (added to mexopts.R14.sh).
- Moved some netcdf-2 declarations from mexnc.h to netcdf2.c.
- Moved some netcdf-2 code from common.c to netcdf2.c.

* Thu Dec 08 2005 John Evans <john.g.evans.ne@gmail.com> 2.0.15-1
- Fixed release constants in mexnc.h

* Wed Dec 07 2005 John Evans <john.g.evans.ne@gmail.com> 2.0.15
- Fixed rounding error in netcdf2.c introduced by 2.0.9

* Tue Oct 11 2005 John Evans <john.g.evans.ne@gmail.com> 2.0.14
- Updated README to reflect new unix install instructions.
- Added ncerr message for one case in netcdf3.c.

* Thu Aug 11 2005 John Evans <johnevans@acm.org> 2.0.13
- Replaced if/then clause with try/catch in test 4 of test__open.m
- Added test__enddef.m to test suite.
- Additional documentation in test__create m-file.
- Fixed opcode definition for _OPEN in mexnc.h.

* Mon Aug 08 2005 John Evans <johnevans@acm.org> 2.0.12
- Allowing [] in 6th parameter position for VARDEF in mexgateway.c.
- Zero-length check, dimids argument list in netcdf2.c, VARDEF opcode.
- Backported nc__open support from netcdf-4 trunk.

* Fri Jul 15 2005 John Evans <johnevans@acm.org> 2.0.11
- Added support for nc__create, nc__enddef functions.
- Cleaned up the README and tests/README files a bit.  

* Wed Jul 13 2005 John Evans <johnevans@acm.org> 2.0.10
- ENDDEF added as an opcode, END_DEF kept for backwards compatibility.
- Fixed byte allocation error for nc_get_att_text, netcdf3.c
- Added new routine, mexcdf60.m, serves same purpose as mexcdf53.m.

* Thu Jun 09 2005 John Evans <johnevans@acm.org> 2.0.9
- Scaling error in netcdf-2 code, truncating instead of rounding.
- Test suite asks users to verify that their path is correct.
- All netcdf-3 functions do full type checking.
- Type checking for ncid, dimid, varid arguments in netcdf-2 functions.
- Protecting against [] being accidentally passed as a parameter.
- Opendap build instructions in mexopts.R14.sh.
- mexnc.m help section now mentions default OPEN mode.

* Mon Apr 25 2005 John Evans <johnevans@acm.org> 2.0.8
- Result status of nctypelen now being checked everywhere.
- RepairBadDataTypes has been axed.

* Thu Apr 21 2005 John Evans <johnevans@acm.org> 2.0.7
- Check for [] in netcdf2.c for varid.
- ATTPUT check for undefined attribute length.
- Status now being checked for ncattinq, ncattget during ATTGET.
- Added win32_make_mexnc for build on win32 systems.
- Fixed INQ_VARID section bogus code that was mistakenly introduced.
- Continued work on the test suite.

* Fri Feb 25 2005 John Evans <johnevans@acm.org> 2.0.6
- Added support for nc_set_fill.
- Error status checks for all ncvarinq calls in netcdf-2 code.
- Some duplicated listings between netcdf-2 and netcdf-3 in mexnc.m.
- ATTCOPY indexing error for 2nd varid fixed.
- Wrote initial set of independent tests for netcdf-3 code.
- Added nc_global.m mnemonic m-file for the NC_GLOBAL constant.
- Added static char array that used the CVS keyword Name.
- Added support for nc_inq_attname.
- Added support for nc_inq_atttype.
- Replaced mexopts.sh with mexopts.R14.sh, mexopts.R13.sh.
- Added new convenience m-file nc_double.m.
- Added new convenience m-file nc_float.m.
- Added new convenience m-file nc_short.m.
- Added new convenience m-file nc_byte.m.
- Added new convenience m-file nc_char.m.
- Added INQ_VARTYPE support.
- Added INQ_VARNDIMS support.
- Added INQ_VARDIMID support.
- Added INQ_VARNATTS support.
- Added INQ_DIMNAME, INQ_DIMLEN support.
- Added INQ_NVARS, INQ_NDIMS, INQ_NATTS support.
- Modified mexopts.sh in order to easily switch to an opendap build.
- Fixed warning in mexncCreateDoubleScalar routine arising on solaris.

* Fri Jan 28 2005 John Evans <johnevans@acm.org> 2.0.5
- Fixed bugs in PUT_VARS_TEXT, PUT_VARM_TEXT implementation.
- Fixed types in the AUTHORS file.
- Changed the MEXNC_RELEASE_NAME to include the string "MEXNC ".
- Changed the MEXCDF_H definition to MEXNC in mexnc.h.  
- Introduced netcdf2.h .
	
* Wed Jan 19 2005 John Evans <johnevans@acm.org> 2.0.4
- Revised AUTHORS file.
- Cleanup of test suite.
- Added GET_MEXNC_INFO call.
- Fixed some bad instructions in the README file.
- Mac OS X section of mexopts.sh had -ltiff -lgeotiff requirement!!!
- Abstracted [put,get]_var_[int,float] routines in the testing suite.
	
* Tue Jan 04 2005 John Evans <johnevans@acm.org> 2.0.3
- Fix for GET_VAR_UCHAR and GET_ATT_SCHAR, which were not being called.
- get_var_schar, put_var_schar tests put  into own test functions.

* Mon Jan 03 2005 John Evans <johnevans@acm.org> 2.0.2
- get_var_text and put_var_text tests put into their own functions.
- Misleading text in OPEN description axed.

* Fri Dec 31 2004 John Evans <johnevans@acm.org> 2.0.1
- NetCDF-3 code taken out of entry point file into new netcdf3.c.
- Module renamed to mexnc from mexcdf53.  Some files renamed.
- Fixed LFS test writes.

* Mon Dec 20 2004 John Evans <johnevans@acm.org> 2.0.0
- Build for NetCDF 3.6.0
- Added support for GET_VARM_XXX family of function calls.
- Changed stride and imap arrays declarations to ptrdiff_t.
- Added test directory.
- Had forgotten to include ENDEF in list of NetCDF-2.4 opcodes.
- Created wrapper mexncCreateDoubleScalar routine.
- New help file, "mexcdf53.m".  
- New convenience function nc_64bit_offset_mode.m
- New convenience function nc_clobber_mode.m
- New convenience function nc_fill_mode.m
- New convenience function nc_lock_mode.m
- New convenience function nc_noclobber_mode.m
- New convenience function nc_nofill_mode.m
- New convenience function nc_nowrite_mode.m
- New convenience function nc_share_mode.m
- New convenience function nc_write_mode.m

* Mon Sep 27 2004 John Evans <johnevans@acm.org> 1.0.0
- Initial import from USGS code.

